module PUBMED.Types where

import Control.Monad.Reader (ReaderT)
import Data.Text (Text)


type APIKey = Text
type Query = Text
type PerPage = Integer

data Config = Config {
    apiKey  :: Maybe APIKey
  , query   :: Query
  , perPage :: Maybe PerPage
  }

type Env = ReaderT Config IO


defaultPerPage :: PerPage
defaultPerPage = 200
